diff --git a/src/app/rpmostree-builtin-livefs.c b/src/app/rpmostree-builtin-livefs.c
index 9e66bfdc4c..1d5f1639ba 100644
--- a/src/app/rpmostree-builtin-livefs.c
+++ b/src/app/rpmostree-builtin-livefs.c
@@ -31,9 +31,11 @@
 
 static gboolean opt_dry_run;
 static gboolean opt_replace;
+static gboolean opt_consented;
 
 static GOptionEntry option_entries[] = {
   { "dry-run", 'n', 0, G_OPTION_ARG_NONE, &opt_dry_run, "Only perform analysis, do not make changes", NULL },
+  { "i-like-danger", 0, 0, G_OPTION_ARG_NONE, &opt_consented, "Consent to the dangers that livefs may pose", NULL },
   /* Known broken with kernel updates; see https://github.com/projectatomic/rpm-ostree/issues/1495 */
   { "dangerous-do-not-use-replace", 0, G_OPTION_FLAG_HIDDEN, G_OPTION_ARG_NONE, &opt_replace, "Completely replace all files in /usr (known broken)", NULL },
   { NULL }
@@ -73,6 +75,10 @@ rpmostree_ex_builtin_livefs (int             argc,
                                        error))
     return FALSE;
 
+  if (!opt_consented)
+    return glnx_throw (error, "livefs is currently considered dangerous; "
+                              "pass --i-like-danger to override");
+
   glnx_unref_object RPMOSTreeOS *os_proxy = NULL;
   glnx_unref_object RPMOSTreeOSExperimental *osexperimental_proxy = NULL;
   if (!rpmostree_load_os_proxies (sysroot_proxy, NULL,
